<template>
    <AppLayout title="Dashboard">
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Usuario
            </h2>
        </template>
    
        <div class="py-12">
            <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
                <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
                    <div class="p-6 sm:px-20 bg-white border-b border-gray-200">
                        <Link :href="route('usuario.create')" type="button">Crear Usuario</Link>
                    <table Class="table-auto w-full">
                        <thead>
                            <tr>
                                <th class="p-3">Id</th>
                                <th class="p-3">Nombre</th>
                                <th class="p-3">Email</th>
                                <th class="p-3">Actiones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr v-for="u in usuarios" :key="u.id">
                                <td class="p-3 border">{{u.id}}</td>
                                <td class="p-3 border">{{u.nombre}}</td>
                                <td class="p-3 border">{{u.email}}</td>
                                <td class="p-3 border">
                                    <Link :href="route('usuario.show',{usuario:u})" type="button">Ver</Link>
                                    <Link :href="route('usuario.edit',{usuario:u})" type="button">Editar</Link>
                                    <Link method="delete" :href="route('usuario.destroy',{usuario:u})">Borrar</Link>
                                </td>
                            </tr>
                        </tbody>

                    </table>
                    </div>
                </div>
            </div>
        </div>
    </AppLayout>
</template>
<script>
    import AppLayout from '@/Layouts/AppLayout.vue';
    import { Link } from '@inertiajs/inertia-vue3';
    export default{
        components:{
            AppLayout,
            Link,
        },
        props: ['usuarios']

    }
</script>